"tales from" = "cuentos del";
"Story:" = "Relato:";
"Date:" = "Fecha:";
"the future" = "futuro";
"artwork:" = "gráficos:";
"Lettering:" = "Rotulación:";
"and what at first seemed normal..." = "y lo que al principio parecía normal...";
"bang" = "bang";
"suddenly..." = "de repente...";
"meanwhile..." = "mientras...";
"he walked slowly towards the object..." = "caminó lentamente hacia el objeto...";
"In the year 3000 a.d." = "En el año 3000 d. C";
"Sensing he was not alone..." = "Con la sensación de no estar solo...";
"Your words here..." = "Sus palabras aquí...";
"Screech" = "Grito";
"But then..." = "Pero entonces...";
"so without warning..." = "sin avisar...";
